Page MenuHomePhabricator

Sort out scope between #MediaWiki-extension-requests vs. #Technical-Tool-Request tags
Closed, DeclinedPublic

Description

As per emails in 02-03/2018 between James Hare, Srishti and me.

This task is about MediaWiki-extension-requests vs. Technical-Tool-Request
This task is not about Possible-Tech-Projects vs. Outreach-Programs-Projects - see T189101 instead.

Currently,

In my opinion:
MediaWiki-extension-requests is a subset of Technical-Tool-Request, literally an implementation detail.
I slightly prefer option b) but really up to whoever feels responsible:
a) Technical-Tool-Request should remain the catch-all to triage (which requires someone to feel responsible to regularly triage)
b) MediaWiki-extension-requests should be merged into Technical-Tool-Request and the workboard of Technical-Tool-Request should be used to categorize the implementation detail ("MediaWiki extension", "Tool on Toolforge", "JavaScript Gadget", something else?). Again someone with development knowledge would need to triage the 'Backlog' column and drag task cards into the corresponding 'implementation style' column.
General docs: https://www.mediawiki.org/wiki/Phabricator/Project_management#Typical_uses_of_workboards

if changes are wanted, we'll need to check project descriptions of Possible-Tech-Projects , Outreach-Programs-Projects , MediaWiki-extension-requests , Technical-Tool-Request and update/correct if needed, once changes have been performed.

Event Timeline

bd808 added a subscriber: bd808.Jun 27 2018, 3:42 PM
Vvjjkkii renamed this task from Sort out scope between #MediaWiki-extension-requests vs. #Technical-Tool-Request tags to hcaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
ToBeFree renamed this task from hcaaaaaaaa to Sort out scope between #MediaWiki-extension-requests vs. #Technical-Tool-Request tags.Jul 1 2018, 2:58 AM
ToBeFree raised the priority of this task from High to Needs Triage.
ToBeFree updated the task description. (Show Details)
Aklapper claimed this task.Jul 4 2018, 9:38 PM
Aklapper moved this task from To triage to Team radar on the Developer-Advocacy board.
Aklapper removed Aklapper as the assignee of this task.Jul 5 2018, 11:24 AM

I'd love to have input / an opinion from @Harej here. :)

Harej added a comment.Sep 7 2018, 3:29 PM

I like option b the best, but I think then we would need a new/adjusted name, since "tool" in common parlance does not include "MediaWiki extension" (although we agree both are ways of fulfilling business requirements).

Thanks! Heh, https://www.mediawiki.org/wiki/Naming_things ... Indeed.
#Technical-solution-request is too vague (every bug needs a technical solution).
#Technical-implementation-request? Hmmm. I wonder how to imply a separate codebase. Probably I cannot. :P

Legoktm added a subscriber: Legoktm.Sep 7 2018, 4:09 PM

I feel like we already had this discussion before?

Yep, see T134103#2625089 and T134103#2625093. I don't think anything has really changed since then.

Oh gosh, true. I'm tempted to decline this task because if people prefer to have two separate projects instead of one workboard, shrug...

Aklapper closed this task as Declined.Oct 27 2018, 8:23 AM

No replies, so I'm declining for the time being.